# Interface methods for submodule: BSplineTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BSplineBaseTransformProxy as _BSplineBaseTransformProxy


# Interface methods for class: BSplineTransform
class BSplineTransformProxy(_BSplineBaseTransformProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetTransformTypeAsString(self) -> str:
		""""""
		...

	def SetFixedParameters(self, passedParameters) -> None:
		""""""
		...

	def SetCoefficientImages(self, images) -> None:
		""""""
		...

	def TransformPoint(self, point: Sequence[float], outputPoint: Sequence[float], weights: Sequence[float], indices: Sequence[int], inside: bool) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, arg0: Sequence[float], arg1) -> None:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def GetNumberOfParametersPerDimension(self) -> int:
		""""""
		...

	def SetTransformDomainOrigin(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetTransformDomainOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetTransformDomainPhysicalDimensions(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetTransformDomainPhysicalDimensions(self) -> Sequence[float]:
		""""""
		...

	def SetTransformDomainDirection(self, arg0) -> None:
		""""""
		...

	def GetTransformDomainDirection(self):
		""""""
		...

	def SetTransformDomainMeshSize(self, arg0: Sequence[int]) -> None:
		""""""
		...

	def GetTransformDomainMeshSize(self) -> Sequence[int]:
		""""""
		...

